* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: cinzel;
    line-height: 1.6;
}

html, body {
    height: 100%;
    margin: 0;
    display: flex;
    flex-direction: column;
}

main {
    flex: 1; /* Esto empuja el footer hacia abajo */
    
}

/*-------------SECCIÓN NAV BARRA LOGO LINKS Y RESPONSIVE -----------------*/

.navbar {
    font-family: cinzel;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #c2c0c0;
    color: #000000;
    padding: 10px 20px;
    position: sticky;
    top: 0;
    z-index: 1000;
    font-size: 18px;
}

.logo img {
    max-height: 100px; /* Ajusta este valor según el tamaño que desees */
    margin-left: 90px; /* Espacio entre el logo y los links */
    padding: 0px;
}

.nav-links {
    list-style: none;
    display: flex;
    margin-right: 250px;
}

.nav-links li {
    margin-left: 100px;
}

.nav-links a {
    color: #000000;
    text-decoration: none;
    transition: color 0.3s ease;
}

.nav-links a:hover {
    color: #ddd;
}

.menu-toggle {
    display: none;
    cursor: pointer;
    flex-direction: column;
}

.menu-toggle .bar {
    height: 2px;
    width: 25px;
    background-color: #fff;
    margin: 4px 0;
}




/*-----RESPONSIVE MENU HAMBURGUESA-----------------------*/

@media (max-width: 768px) {
    .nav-links {
        font-family: cinzel;
        display: none;
        flex-direction: column;
        width: 100%;
        position: absolute;
        top: 100%; /* Esto hace que el menú se despliegue justo debajo del nav */
        left: 0;
        background-color: #333;
        text-align: center;
        color: #ffff
    }

    .nav-links.active {
        display: flex;
    }

    .nav-links li {
        margin: 15px 0;
    }

    .menu-toggle {
        display: flex;
    }
}
/*----- FIN RESPONSIVE MENU HAMBURGUESA-----------------------*/

/*Main*/


.indeximagen {
    width: 100%; /* Hace que la imagen ocupe el 100% del ancho */
    height: auto;
}


.contenedor {
    max-width: 1200px;
    margin: auto;
}

.box {
    font-family: "Inter";
    background-color: #c0cedd;
    padding: 40px;
    border-radius: 40px;
    box-shadow: 0 12px 14px rgba(0, 0, 0, 0.637);
    text-align: left;
    margin-top: 40px;
    height: 100%;
    font-size: 18px;
}

.box img {
    margin-left: 700px;
    margin-top: -200px;
    display: flex;
    justify-content:end; /* Mueve el texto a la izquierda y la imagen a la derecha */
    align-items: center; /* Centra verticalmente los elementos dentro del footer */
    height: 80%;
    margin-bottom: 40px;
}



/*-----------------------------------SECCION FOOTER--------------------------*/
/* ESTILO GENERAL!! */
footer {
    font-family: cinzel;
    color: #000000;
    background-color: #C2C0C0;
    text-align: center;
    position: relative;
    width: 100%;
    margin-top: 100px;
}

/* CONTENIDO EN VISTA PANTALLA COMPLETA */
.footer-content {
    display: flex;
    justify-content: center; /* CENTRA LOS ELEMENTOS */
    align-items: center; /* ALINEA VERTICALMENTE LOS ELEMENTOS */
    padding: 15px 20px;
    gap: 200px;
    flex-wrap: nowrap;
}

/* ESTILOS DE TEXTOS */
.text-info {
    display: flex;
    flex-direction: column; /* APILAS LAS LINEAS VERTICALES */
    align-items: center; /* CENTRA EL TEXTO */
    margin-right: 20px; /* ESPACIO ENTRE EL TEXTO Y LOGO */
}

p {
    color: #000000;
}

.materia {
    margin: 0 30px 0 0; /* MARGEN QUE SEPARA DE #CURSO */
}

.curso, .grupo {
    margin: 0 15px; /* MARGEN QUE SEPARA AMBOS */
}

#derechos-reservados {
    margin: 10px 0 0 0; /* SEPARACION ENTRE LAS LINEAS */
}

/* PARA EL LOGO DEL FOOTER*/
.logo-footer {
    max-height: 60px;
}

.logo-footer img {
    max-height: 60px;
}


/*------------------------ESTILOS RESPONSIVOS PARA EL FOOTER ------------------------------*/
@media (max-width: 790px) {
    .footer-content {
        flex-direction: column; /* APILA TODO VERTICALEMNTE */
        align-items: center; /* CENTRA TODO LOS ITEMS */
        text-align: center; /* CENTRA EL TEXTO */
    }
    
    #derechos-reservados {
        order: 1; /* Mueve Derechos Reservados a la primera posición */
        margin-bottom: 20px; /* Margen inferior */
        text-align: center; /* Centra el texto */
    }
    
    #materia {
        order: 2; /* Mantiene debajo de Derechos Reservados */
        display: inline-block; /* Los coloca en la misma línea */
        text-align: left; /* Centra el texto */
        margin-left: 60px;

    }
    
    #curso, #grupo {
        order: 3; /* Mueve curso y grupo a la tercera posición */
        display: inline-block; /* Los coloca en la misma línea */
        text-align: left; /* Centra el texto */
        margin: 3px;
        margin-right: 60px;
        margin-top: 30px;
    }

    .logo-footer {
        order: 4; /* Mueve el logo al final */
        text-align: center; /* Centra el logo */
        margin-left: -15px;
        margin-right: 30px;
        margin-top: -150px;
    }
}




/*INTEGRANTES*/
/* Estilo del main de la página Nosotros */
.confia img {
    width: 100%; /* Hace que la imagen ocupe todo el ancho del contenedor */
    height: 700px; /* Mantiene la proporción de la imagen */
    object-fit: cover; /* Ajusta la imagen para que cubra el espacio sin deformarse */
}


.container_main_nosotros {
    font-family: "Inter";
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: auto;
    width: 100%;
    background: white;
    
    
}

/* Estilo del título */
.row_titulo_nosotros {
    margin-top: 25px;
    font-size: 36px; /* Tamaño del título */
    color: rgb(0, 0, 0); /* Color del título */
    margin-bottom: 0;
    
}

* Alinear todo en una fila horizontal */
.row_nosotros {
    display: grid;
    grid-template-columns: repeat(2, 1fr); /* Dos columnas de igual tamaño */
    grid-gap: 20px; /* Espacio entre las tarjetas */
    justify-items: center; /* Centra los elementos horizontalmente */
    align-items: center; /* Centra los elementos verticalmente */
    padding: 20px; /* Espacio interno */
    background-color: #c0cedd;
    border-radius: 30px;
    width: 40%;
    margin: 50px auto; /* Centra el contenedor horizontalmente */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

/* Cada div dentro de la fila */
.row_nosotros div {
    flex-shrink: 0; /* Evitar que los divs se reduzcan de tamaño */
    text-align: center;

}

.row_nosotros img {
    width: 150px !important;
    height: 150px !important;
    object-fit: cover !important;
    border-radius: 35px !important;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    margin: 0 !important;
}

/*----------------------- INTEGRANTES DEL GRUPO-------------------- */
/*INTEGRANTES*/


.card {
    background: #fff;
    border-radius: 8px;
    padding: 20px;
    margin: 20px 0;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s, box-shadow 0.3s;
}

.card:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
} 
.section-title {
    font-size: 2em;
    color: #13325B;
    text-align: center;
    margin-bottom: 20px;
    position: relative;
    font-family:inter;
}


.roles-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: 20px;
}

.role {
    width: 280px; /* Aumenta el ancho del contenedor */
    margin: 20px;
    text-align: center;
    border-radius: 12px;
    overflow: hidden; 
    background: #C0CEDD; 
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1); 
    transition: transform 0.4s, box-shadow 0.4s; 
}

.role:hover {
    transform: translateY(-8px) scale(1.03); 
    box-shadow: 0 8px 25px rgba(0, 0, 0, 0.2);
}

.role img {
    width: 200px; /* Aumenta el ancho */
    height: 200px; /* Aumenta la altura */
    border-radius: 5%;
    border: 3px solid #13325B; /* Ajusta el grosor del borde */
    object-fit: cover; 
    margin-top: 15px; 
    transition: transform 0.3s, opacity 0.3s; 
}

.role-img:hover {
    transform: scale(1.1); 
    opacity: 0.9;
}

.role h3 {
    margin: 10px 0 5px; 
    font-size: 1.4em;
    color: #13325B;
}

.role p {
    font-size: 0.9em;
    color: #555;
    margin-bottom: 15px;
    padding: 0 10px; 
}

/* Estilo de los enlaces debajo de las imágenes */
.enlaceportfolio{
    display: block;
    color: #555;
    text-decoration: none;
    font-size: 14px; /* Tamaño del texto del enlace */



}

/* Estilo de los enlaces debajo de las imágenes */
.enlaceportfolio{
    display: block;
    color: #555;
    text-decoration: none;
    font-size: 14px; /* Tamaño del texto del enlace */
}




/*--------PROYECTO------------*/
.box_proyecto{
    font: inter;
    background-color: #c0cedd;
    padding: 40px;
    border-radius: 40px;
    box-shadow: 0 12px 14px rgba(0, 0, 0, 0.637);
    text-align: left;
    margin-top: 40px;
    height: 100%;
    font-size: 20px;
    margin-left: 250px;
    margin-right: 250px;
}


@media (max-width: 768px) {
#proyecto{
    width: 320px;
    transition: transform 0.3s, opacity 0.3s; 
    text-align: center;
}
#fotoproyecto{
max-width: 100%;  height: 300px;
}

}







/*MAIN SITIO DEL PROYECTO*/

.linkSitioProyectoSection {
    font-family: "Inter";
    font-size: 15px;
    display: flex;
    flex-direction: column;
    justify-content: center;  /* Centra verticalmente */
    align-items: center;      /* Centra horizontalmente */
    text-align: center;
    max-width: 1200px;
    margin: 0 auto;
}

.linkSitioProyecto {
    text-decoration: none;
    font-size: 2em;
    margin-bottom: 20px;
      color: #000000;
    transition: transform 0.3s, box-shadow 0.3s;
    margin-top: 15px;
}

.linkSitioProyecto:hover {
    text-decoration: none;
}

.linkSitioProyectoSection video {
    max-width: 100%;
    height: auto;
    display: block; /* Asegura que el video se comporte como un bloque */
    margin: 0 auto; /* Esto centrará el video horizontalmente */
    width: 550px; height: 250px;
}







/*-----AVANCES------*/
/*-----ESTILO FUENTE CIENZEL----------*/
.mainAvances{
    flex: 1; /* Esto empuja el footer hacia abajo */
    display: flex;
    flex-direction: column; /* Si deseas que el contenido esté en columna */
    justify-content: center; /* Centra verticalmente */
    align-items: center; /* Centra horizontalmente */

}


/*----------NUESTRA PROPUESTA ---------*/
.contenedorAvances1{
    background-color: #c0cedd;
    padding: 40px;
    width: 85%;
    border-radius: 40px;
    box-shadow: 0 12px 14px rgba(0, 0, 0, 0.637);
    text-align: left;
    justify-content: center;
    margin-top: 40px;
    font-size: 20px;
    margin-left: 110px;
    animation: slideUp 0.5s ease;
    transition: transform 0.5s ease, box-shadow 0.2s ease;
}
#propuesta{
    text-align: center;
    font-size: 20px;
    animation: slideUp 0.5s ease;}
.inter {
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-weight: weight;
    font-style: normal;
}

/*----------NUESTRA PROPUESTA RESPONSIVE---------*/

@media (max-width: 768px) {
    .contenedorAvances1{
        margin-left: 30px;
        text-align: center;
    }
     .contenedorAvances2{
          margin: left 30px; }   
 #logouade{
        height: 80px; width: 78px;
        margin-left: 350px;
    }
    #avances2{
        margin-left: 55px;
    }
    #color1{
        margin-left: 300px;
        transition: transform 0.2s ease, box-shadow 0.2s ease;
    }
    #color2{
        margin-left: 300px;
        transition: transform 0.2s ease, box-shadow 0.2s ease;
    }
    #color3{
        margin-left: 300px;
        transition: transform 0.2s ease, box-shadow 0.2s ease;
    }
    
    #fotoarbol{
        max-width: 300px;
    }
    #fotoia{
        height: 250px; 
    }
    #fotoconfiaentimismo{
        height: 250px;
    }

}



.contenedorAvances2{
    background-color: #c0cedd;
    padding: 40px;
    width: 80%;
    border-radius: 40px;
    box-shadow: 0 12px 14px rgba(0, 0, 0, 0.637);
    text-align: center;
    justify-content: center;
    margin-top: 40px;
    font-size: 20px;
    align-items: center;
     margin-left: 140px;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.fuentecinzel{
    font-family: "Inter";
}

/*----------LOGO EUREKA EN AVANCES---------*/
.logopng{
    height: 200px; width: 240px;
}
/*-------PALETA DE COLORES----------*/
.colores{
    display: flex;
    flex-direction: column;
    align-items: center;

}

.color {
    height: 150px;
    width: 150px;
    color: rgb(255, 255, 255);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    border-radius: 20px;
    font-size: 25px;
    font-weight: 600;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
    margin: 1rem;
}
#color1 {
    background-color: #C2C0C0;
    box-shadow: 5px 5px 4px rgba(0, 0, 0, 0.5);
    border: black solid 3px;

}

#color2 {
    background-color: #C0CEDD;
    box-shadow: 5px 5px 4px rgba(0, 0, 0, 0.5);
    border: black solid 3px;
}

#color3 {
    background-color: #000000;
    box-shadow: 5px 5px 4px rgba(0, 0, 0, 0.5);
    border: black solid 3px;
}
@media (max-width: 768px) {
    .color {
        width: 100px; height: 100px;
        font-size: 20px;
        text-align: center;
        margin-left: 160px;
        justify-items: center;
        flex-direction: column;
        margin-right: 300px;
    }
    
}


/*--------ARBOL DEL SITIO-----------*/
.fotoarbolsitio{
    text-align: center;
    justify-content: center;
    height: 150px; width: 250;
}

@media (max-width: 768px) {
    .fotoarbolsitio{
    justify-items: center;
    text-align: center;
    margin-left: 0px;
    width: 440px;
    }
}

/*--------PROTOTIPADO FIGMA---------*/
.figma{
    text-align: center;
}
.linkfigma{
    color: #000000;
}

/*-----ROLES DE LOS INTEGRANTES TEXTO------*/
.rolesintegrantes{
text-align: center;
margin: auto;
}

/*---------- TITULO IDENTIDAD VISUAL----------*/
.tituloimagenvisual{
    margin-top: 10px;
}

/*---------- SUBTITULO IDENTIDAD VISUAL----------*/
.subtituloimagen{
    color: #cda841;
    margin-top: 10px;
    font-size: 25px;
    transition: transform 0.4s, box-shadow 0.4s;
    animation: slideUp 0.5s ease;
    
}

.video-container {
    display: flex;
    justify-content: center; /* Centrar horizontalmente */
    align-items: center;    /* Centrar verticalmente */
    min-height: 50vh;       /* Ajustar altura mínima para centrar verticalmente */
    width: 560 px;
    height: auto;
    margin-top: 70px;

}

